Categories:Games
License:GPL-3.0-only
Web Site:http://www.kebernet.net/Home/projects/shortyz
Source Code:https://github.com/kebernet/shortyz
Issue Tracker:https://github.com/kebernet/shortyz/issues

Auto Name:Shortyz
Summary:Crossword game
Description:
Crossword game that downloads puzzles from a variety of internet locations.

Latest version with use of stubs for Google Play Services and removal of
Crashlytics.
.

Repo Type:git
Repo:https://github.com/kebernet/shortyz.git

Build:3.1.0,30100
    commit=1ce970a00083
    subdir=shortyz
    prebuild=cd ../puzlib && \
        mvn package && \
        mv target/*.jar ../shortyz/libs && \
        rm -rf target && \
        cd ../shortyz
    target=android-11

Build:3.1.7,30107
    disable=No source code apparently
    commit=unknown - see disabled

Build:3.2.1,30201
    commit=0aa74b9d2bef
    subdir=shortyz
    prebuild=mkdir -p libs/ && \
        rm -rf src/com/totsp/crossword/io/ src/com/totsp/crossword/puz/ && \
        cd ../puzlib && \
        mvn package && \
        mv target/*.jar ../shortyz/libs/ && \
        rm -rf target && \
        cd ../shortyz
    target=android-11

Build:3.2.10,30210
    commit=1ba821b4825c
    subdir=shortyz
    init=rm build.xml

Build:4.0.7,40007
    disable=play-services
    commit=6bbd1befc8b5
    subdir=app
    gradle=yes

Build:4.4.0,40400
    commit=534184e69aa32cb46f12799fed33f091d7255472
    subdir=app
    gradle=yes
    rm=gfx
    prebuild=sed -i -e "s/compile 'com.google.android.gms:play-services:4.0.30'/compile 'com.github.yourealwaysbe:play-services-shortyz:v1'/" build.gradle && \
        sed -i -e "s/compile ('com.google.apis:google-api-services-gmail:v1-rev29-1.20.0'){/compile ('com.github.yourealwaysbe:google-api-services-gmail-shortyz:v1') {/" build.gradle && \
        sed -i -e "/fabric/d" build.gradle && \
        sed -i -e "/crashlytics/,+2d" build.gradle && \
        sed -i -e "/Fabric/d" src/main/java/com/totsp/crossword/shortyz/ShortyzApplication.java && \
        sed -i -e "/Crashlytics/d" src/main/java/com/totsp/crossword/shortyz/ShortyzApplication.java && \
        sed -i -e "s/http:\/\/dl.bintray.com\/jenzz\/maven/https:\/\/jitpack.io/" ../build.gradle && \
        sed -i -e "s/compile 'com.jenzz:materialpreference:1.3'/compile 'com.github.jenzz:Android-MaterialPreference:v1.3'/" build.gradle

Maintainer Notes:
Repository changed to new github URL.
Versions before 4.4.0 unlikely to build again.
Play Services replaced by stub respository yourealwaysbe/play-services-shortyz.
Play Services Gmail replaced by stub repository yourealwaysbe/google-api-services-gmail-shortyz.
These stubs disable feature using Play closed sourced libraries.
Crashlytics and Fabric deleted from build.
Use of materialpreference from jenzz's bintray account replaced by jitpack alternative.
.

Auto Update Mode:None
Update Check Mode:RepoManifest
Current Version:4.4.2
Current Version Code:40402
